Start a rolling release for the project
POST
https://api.vercel.com/v1/projects/{idOrName}/rolling-release/startStart a rolling release for a deployment. If a rolling release is already active for the same canary deployment, returns the current state without side effects.
https://api.vercel.com/v1/projects/{idOrName}/rolling-release/start
const response = await fetch('https://api.vercel.com/v1/projects/idOrName/rolling-release/start?teamId=string&slug=string', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "canaryDeploymentId": "example_id" }),});
const data = await response.json();console.log(data);Response
{ "rollingRelease": { "activeStage": { "duration": "null", "index": "0", "isFinalStage": "false", "linearShift": "false", "requireApproval": "false", "targetPercentage": "25" }, "advancementType": "manual-approval", "canaryDeployment": { "createdAt": "1540257589405", "id": "dpl_89qyp1cskzkLrVicDaZoDbjyHuDJ", "name": "my-project", "readyState": "READY", "readyStateAt": "123", "source": "cli", "target": "null", "url": "my-instant-deployment-3ij3cxz9qr.now.sh" }, "currentCanaryPercentage": "123", "currentDeployment": { "createdAt": "1540257589405", "id": "dpl_89qyp1cskzkLrVicDaZoDbjyHuDJ", "name": "my-project", "readyState": "READY", "readyStateAt": "123", "source": "cli", "target": "null", "url": "my-instant-deployment-3ij3cxz9qr.now.sh" }, "nextStage": { "duration": "null", "index": "0", "isFinalStage": "false", "linearShift": "false", "requireApproval": "false", "targetPercentage": "25" }, "queuedDeploymentId": "dpl_ghi789", "stages": [ { "duration": "null", "index": "0", "isFinalStage": "false", "linearShift": "false", "requireApproval": "false", "targetPercentage": "25" } ], "startedAt": "1716210500000", "state": "ACTIVE", "substate": "PAUSED", "updatedAt": "1716210600000" }}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
409Error
410Error
422Error